# Test: Menu item with no command target fields
# Expected: FAIL
# Error code: custom
# Error path: agent.menu[0]
# Error message: agent.menu[] entries must include at least one command target field

agent:
  metadata:
    id: no-command
    name: No Command Target
    title: No Command
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  menu:
    - trigger: help
      description: Show help but no command target
